local MonkeyToggler = CreateFrame("Frame")
local dataobj, tooltip

local function OnEvent(self, event, addon)
    if event == "QUEST_LOG_UPDATE" then
        local numQuests = select(2, GetNumQuestLogEntries())
        dataobj.text = numQuests
        dataobj.value = numQuests
    elseif event == "ADDON_LOADED" and addon == "MonkeyToggler" then
        local LDB = LibStub:GetLibrary("LibDataBroker-1.1")

        if "deDE" == GetLocale() then
            tooltip = "Anlicken, um MonkeyQuest zu öffnen oder schließen."
        else
            tooltip = "Click to toggle MonkeyQuest."
        end

        if LDB then
            local numQuests = select(2, GetNumQuestLogEntries())
            dataobj = LDB:NewDataObject("MonkeyToggler", {
                type = "data source",
                text = numQuests,
                value = numQuests,
                suffix = "Quests",
                icon = "Interface\\AddOns\\MonkeyToggler\\icon",
                OnClick = function(clickedframe, button)
                    MonkeyToggler:Toggle()
                end,
                OnTooltipShow = function(tt)
                    tt:AddLine(tooltip)
                end,
            })
        end
    end

    
    MonkeyToggler:UnregisterEvent("ADDON_LOADED")
    MonkeyToggler:RegisterEvent("QUEST_LOG_UPDATE")
end

function MonkeyToggler:Toggle()
    if MonkeyQuestConfig[MonkeyQuest.m_strPlayer].m_bDisplay then
        MonkeyQuestSlash_CmdOpen(false)
    else
        MonkeyQuestSlash_CmdOpen(true)
    end
end

MonkeyToggler:SetScript("OnEvent", OnEvent)
MonkeyToggler:RegisterEvent("ADDON_LOADED")